From c856aff2e09b6c1884b92b007d079df9c4326474 Mon Sep 17 00:00:00 2001
From: Nathan Bossart <nathan@postgresql.org>
Date: Mon, 8 Jan 2024 21:42:32 -0600
Subject: [PATCH v2 1/1] Fix documentation for wal_summary_keep_time.

The documentation for this parameter lists its type as Boolean, but
it is actually an integer.  Furthermore, there is no mention of how
the value is interpreted when specified without units.  This commit
fixes these oversights in commit 174c480508.

Co-authored-by: Hubert Depesz Lubaczewski
Discussion: https://postgr.es/m/ZZwkujFihO2uqKwp%40depesz.com
---
 doc/src/sgml/config.sgml | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/doc/src/sgml/config.sgml b/doc/src/sgml/config.sgml
index f323bba018..61038472c5 100644
--- a/doc/src/sgml/config.sgml
+++ b/doc/src/sgml/config.sgml
@@ -4179,7 +4179,7 @@ restore_command = 'copy "C:\\server\\archivedir\\%f" "%p"'  # Windows
      </varlistentry>
 
      <varlistentry id="guc-wal-summary-keep-time" xreflabel="wal_summary_keep_time">
-      <term><varname>wal_summary_keep_time</varname> (<type>boolean</type>)
+      <term><varname>wal_summary_keep_time</varname> (<type>integer</type>)
       <indexterm>
        <primary><varname>wal_summary_keep_time</varname> configuration parameter</primary>
       </indexterm>
@@ -4198,6 +4198,7 @@ restore_command = 'copy "C:\\server\\archivedir\\%f" "%p"'  # Windows
        know will not be required for future incremental backups.
        This parameter can only be set in the
        <filename>postgresql.conf</filename> file or on the server command line.
+       If this value is specified without units, it is taken as minutes.
        The default is 10 days. If <literal>summarize_wal = off</literal>,
        existing WAL summaries will not be removed regardless of the value of
        this parameter, because the WAL summarizer will not run.
-- 
2.25.1

